# Administration Reference

## fs flushmount

Purpose

Forces the Cache Manager to discard a mount point

Synopsis

    fs flushmount [-path <dir/file path>+]  [-help]

    fs flushm [-p <dir/file path>+]  [-h]

Description

The fs flushmount command removes from the cache all information associated with each mount point named by the -path argument. The next time an application accesses the mount point, the Cache Manager fetches the most current version of it from the File Server. Data cached from the associated volume is not affected.

The command's intended use is to discard information about mount points that has become corrupted in the cache. (The Cache Manager periodically refreshes cached mount points, but the only other way to discard them immediately is to reinitialize the Cache Manager by rebooting the machine.) Symptoms of a corrupted mount point included garbled output from the fs lsmount command, and failed attempts to change directory to or list the contents of a mount point.

To flush cached data rather than a mount point, use the fs flush or fs flushvolume command.

Options

-path
  Names each mount point to flush from the cache. Partial pathnames are interpreted relative to the current working directory, which is also the default value if this argument is omitted.

-help
  Prints the online help for this command. All other valid options are ignored.

Examples

The following command flushes from the cache the mount point for user pat's home directory:

       % fs flushm /afs/abc.com/usr/pat

Privilege Required

The issuer must have the l (lookup) permission on the ACL of the root directory of the volume that houses the file or directory named by the -path argument, and on the ACL of each directory that precedes it in the pathname.

Related Information

fs flush

fs flushvolume

fs lsmount

© IBM Corporation 2000. All Rights Reserved